Subject: Re: [ofa-general] Re: [PATCH v3 08/13] QLogic VNIC: sysfs interface implementation for the driver

From: Roland Dreier <[email-masked]>
Date: Thu, 05 Jun 2008 13:47:39 -0700

> > There is nothing stopping adding a well designed alternate interface.
 > > Either netlink or ioctl's are okay. As long as it is 32/64 bit clean.

 > From a quick look it seems it should use rtnl_link instead
 > of adding yet another private sysfs interface.

This seems crazy -- why do we want to push things towards the complexity
of rtnl_link instead of a simple text-based interface that can be
trivial used with 'echo' from the shell?  What advantages does that
give?

 - R.